Skip to main content
POST
/
v1
/
bot
/
calendar
/
events
Create Calendar Event
curl --request POST \
  --url https://api.boostgpt.co/v1/bot/calendar/events \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "start_at": "<string>",
  "title": "<string>",
  "description": "<string>",
  "end_at": "<string>",
  "timezone": "<string>",
  "location": "<string>",
  "contact_id": "<string>",
  "attendee_name": "<string>",
  "attendee_email": "<string>",
  "attendee_phone": "<string>",
  "notes": "<string>",
  "send_confirmation": true
}
'
import requests

url = "https://api.boostgpt.co/v1/bot/calendar/events"

payload = {
"start_at": "<string>",
"title": "<string>",
"description": "<string>",
"end_at": "<string>",
"timezone": "<string>",
"location": "<string>",
"contact_id": "<string>",
"attendee_name": "<string>",
"attendee_email": "<string>",
"attendee_phone": "<string>",
"notes": "<string>",
"send_confirmation": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start_at: '<string>',
title: '<string>',
description: '<string>',
end_at: '<string>',
timezone: '<string>',
location: '<string>',
contact_id: '<string>',
attendee_name: '<string>',
attendee_email: '<string>',
attendee_phone: '<string>',
notes: '<string>',
send_confirmation: true
})
};

fetch('https://api.boostgpt.co/v1/bot/calendar/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{
"error": "<string>",
"code": "<string>"
}
{
"error": "<string>",
"code": "<string>"
}

Authorizations

Authorization
string
header
required

Enter your API key

Query Parameters

project_id
string
required

Project ID

bot_id
string
required

Agent ID

Body

application/json
start_at
string
required
title
string
description
string
end_at
string
timezone
string
location
string
contact_id
string
attendee_name
string
attendee_email
string
attendee_phone
string
notes
string
send_confirmation
boolean

Response

Create Calendar Event successful

The response is of type object.